Summary:    Java bindings for the augeas library
Name:       java-augeas
Version:    0.0.2
Release:    10%{?dist}
License:    LGPLv2+
BuildArch:  noarch
Source:     http://augeas.net/download/java/%{name}-%{version}.tar.gz
URL:        http://augeas.net/

Requires:   jna
Requires:   augeas >= 0.7.2
Requires:   java-headless >= 1:1.5.0
Requires:   jpackage-utils
BuildRequires:  ant
BuildRequires:  jna
BuildRequires:  java-devel >= 1:1.5.0
BuildRequires:  jpackage-utils
BuildRequires:  junit
BuildRequires:  ant-junit

#
# the jpackage-utils should provide a %{java_home} macro
# to select a different Java JVM from the default one use the following
# rpmbuild --define 'java_home /usr/lib/jvm/your_jvm_of_choice'
#

%description
java-augeas is a java bindings onto the augeas configuration API.
It requires augeas >= 0.7.2


%package    javadoc
Summary:    Java documentation for %{name}

%description    javadoc
API documentation for %{name}.
%prep
%setup -q

%build
ant build docs

%install
install -d -m0755 %{buildroot}%{_javadir}
install -d -m0755 %{buildroot}%{_javadocdir}
cp -p target/augeas-%{version}.jar %{buildroot}%{_javadir}/augeas.jar
cp -r -p target/javadoc %{buildroot}%{_javadocdir}/%{name}

%files
%doc AUTHORS COPYING NEWS README INSTALL
%{_javadir}/*.jar

%files javadoc
%{_javadocdir}/%{name}

%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.2-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Mar 25 2014 Mikolaj Izdebski <mizdebsk@redhat.com> - 0.0.2-7
- Switch to java-headless

* Tue Mar 25 2014 Michael Simacek <msimacek@redhat.com> - 0.0.2-7
- Remove version from JAR name

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jul 2 2010 Bryan Kearney <bkearney@redhat.com> - 0.0.2-1
- Add support for the aug_setm method

* Tue Aug 27 2009 Bryan Kearney <bkearney@redhat.com> - 0.0.1-2
- Spec review comments from dan@danny.cz.

* Tue Aug 4 2009 Bryan Kearney <bkearney@redhat.com> - 0.0.1-1
- Initial Packaging

